数据提供商: People Data Labs
公司搜索
$0.10 / 条结果在 30 秒内响应
使用 Elasticsearch 或 SQL 查询 PDL 公司数据集,返回含行业、规模和地点属性的公司,按返回记录数计费。转售无需每月最低消费。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the People Data Labs endpoint /v5/company/search on Glasser.bash
glasser run -p pdl -e '/v5/company/search' -i '{"sql":"SELECT * FROM company WHERE industry='\''computer software'\'' AND location.country='\''singapore'\''","size":3}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"pdl","endpoint":"/v5/company/search","input":{"sql":"SELECT * FROM company WHERE industry='\''computer software'\'' AND location.country='\''singapore'\''","size":3},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
筛选潜在客户时,可以将公司信息与理想客户标准比较,决定接下来研究哪些公司。
复制此提示词到你的 Agent,按理想客户标准审阅公司。
提示词
Use pdl:/v5/company/search on Glasser.
Check the returned company data against my ideal-customer criteria.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"sql": {
"type": "string",
"minLength": 1,
"description": "SQL such as SELECT * FROM company WHERE industry='computer software' AND location.country='singapore'; give sql or query, not both. Main company columns: name, website, industry (lower case, e.g. 'computer software'), size (a band such as '51-200'), employee_count, founded (year), tags, and location as nested fields location.country, location.locality, location.region (lower case, e.g. location.country='singapore'). There is no location_country column on companies; that is a person column. Full list: https://docs.peopledatalabs.com/docs/company-schema."
},
"size": {
"type": "integer",
"maximum": 10,
"minimum": 1
},
"query": {
"type": "object",
"description": "Elasticsearch query body over the company index; give query or sql, not both. Main company columns: name, website, industry (lower case, e.g. 'computer software'), size (a band such as '51-200'), employee_count, founded (year), tags, and location as nested fields location.country, location.locality, location.region (lower case, e.g. location.country='singapore'). There is no location_country column on companies; that is a person column. Full list: https://docs.peopledatalabs.com/docs/company-schema."
}
},
"additionalProperties": false
}json
{
"sql": "SELECT * FROM company WHERE industry='computer software' AND location.country='singapore'",
"size": 3
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.10 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $1.00 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |